Skip to main content
GET
/
public
/
Depth
Get Order Book
curl --request GET \
  --url https://api.kraken.com/0/public/Depth
{
  "error": [],
  "result": {
    "XXBTZUSD": {
      "asks": [
        [
          "30384.10000",
          "2.059",
          1688671659
        ],
        [
          "30387.90000",
          "1.500",
          1688671380
        ],
        [
          "30393.70000",
          "9.871",
          1688671261
        ]
      ],
      "bids": [
        [
          "30297.00000",
          "1.115",
          1688671636
        ],
        [
          "30296.70000",
          "2.002",
          1688671674
        ],
        [
          "30289.80000",
          "5.001",
          1688671673
        ]
      ]
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

pair
string
required

Asset pair to get data for

assetVersion
enum<integer>

Controls whether response keys and asset identifier fields use Kraken's internal names or display names.

  • Omitted (default): internal names are used. Asset keys use legacy X/Z-prefixed format (XXBT, ZUSD). Pair keys use the internal format (XXBTZUSD). Asset identifier fields (base, quote, fee_volume_currency) also use internal names.
  • assetVersion=1: display names are used. Asset keys become their canonical display names (BTC, USD). Pair keys become the slash-separated display format (BTC/USD). On /public/AssetPairs, the base, quote, and fee_volume_currency fields also switch to display names.

Only assetVersion=1 is currently supported. The altname and wsname fields are not affected by this parameter.

Available options:
1
count
integer
default:100

Maximum number of asks/bids

Required range: 1 <= x <= 500
asset_class
enum<string>

This parameter is required on requests for non-crypto pairs, i.e. use tokenized_asset for xstocks.

Available options:
tokenized_asset

Response

200 - application/json

Order book entries retrieved.

result
object
error
string[]

Kraken API error